/* PRINTER.H: #defines and typedefs used in printer.c */

#define BASE 0x378  /* base address of parallel printer card */
typedef int boolean;  /* makes usage a little more obvious,
                         like Pascal */
typedef unsigned char byte; /* if it's always positive and never more
                               than 255, why use extra space?
                               (then again, why not?) */

#define READ_ONLY 1    /* Indicates the pin can only be read from */
#define WRITE_ONLY 2   /* Indicates the pin can only be written to */
#define READ_WRITE 3   /* The pin can be read from or written to */
#define GROUND 4       /* This is a ground pin -- can't do either */
#define WRITE_SUCCESS 5 /* Returned by write_pin() upon successful
                           write */

#define NO_PULLUP 6    /* There is no pullup resistor on this pin. */
#define PULLUP_0 7     /* There is a pullup resistor on this pin.
                          You must set the output to '0' before
                          reading it. */
#define PULLUP_1 8     /* There is a pullup resistor on this pin.
                          You must set the output to '1' before
                          reading it. */

#define INVERTED 9  /* A TTL one will appear on the data bus as a 0 */
#define NORMAL 10   /* A TTL one will appear on the data bus as a 1 */
